Package org.apache.qpid.proton.codec

# Class SymbolType

java.lang.Object
org.apache.qpid.proton.codec.SymbolType

All Implemented Interfaces:
  `AMQPType<Symbol>`, `PrimitiveType<Symbol>`

public class SymbolType extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`SymbolType.SymbolEncoding`

## Method Summary

Modifier and Type
Method
Description
`void`
`fastWrite(EncoderImpl encoder, Symbol symbol)`
`Collection<SymbolType.SymbolEncoding>`
`getAllEncodings()`
`SymbolType.SymbolEncoding`
`getCanonicalEncoding()`
`SymbolType.SymbolEncoding`
`getEncoding(Symbol val)`
`Class<Symbol>`
`getTypeClass()`
`final void`
`write(Symbol val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTypeClass

public Class<Symbol> getTypeClass()

### fastWrite

public void fastWrite(EncoderImpl encoder, Symbol symbol)

### getEncoding

public SymbolType.SymbolEncoding getEncoding(Symbol val)

### getCanonicalEncoding

public SymbolType.SymbolEncoding getCanonicalEncoding()

### getAllEncodings

public Collection<SymbolType.SymbolEncoding> getAllEncodings()

### write

public final void write(Symbol val)

Specified by:
  `write` in interface `AMQPType<T>`